#[derive(Debug)]
pub enum Error {
    OsError(yggdrasil_abi::error::Error),
    InvalidPciConfiguration,
    NoCommonConfigCapability,
    NoNotifyConfigCapability,
    NoDeviceConfigCapability,
    NoInterruptStatusCapability,
    QueueTooLarge,
    InvalidQueueSize,
    EmptyTransaction,
    QueueFull,
    QueueEmpty,
    WrongToken,
}

impl From<yggdrasil_abi::error::Error> for Error {
    fn from(value: yggdrasil_abi::error::Error) -> Self {
        Self::OsError(value)
    }
}
